<template>
    <div class="cont">
        <div class="c-left">
            <ReSidebar
                :sideBarList="sideList"
                @click="handleSideClick"
                :active-index="tabIndex - 1"
            />
        </div>
        <div class="c-right">
            <img v-if="tabIndex == 1" src="../../assets/images/xingche/bg1.webp" alt="" />
            <img v-if="tabIndex == 2" src="../../assets/images/xingche/bg2.webp" alt="" />
            <img v-if="tabIndex == 3" src="../../assets/images/xingche/bg3.webp" alt="" />
        </div>
    </div>
</template>

<script>
import ReSidebar from "@/components/leftBar.vue";
export default {
    name: 'BydPage1',
    data() {
        return {
            sideList:[
                {
                    id:1,
                    name:"实时影像",
                    icon:'ic_xc_yx',
                    a_icon:'ic_xc_yxa'
                },
                {
                    id:2,
                    name:"回放列表",
                    icon:'ic_xc_hf',
                    a_icon:'ic_xc_hfa'
                },
                {
                    id:3,
                    name:"设置",
                    icon:'ic_xc_set',
                    a_icon:'ic_xc_seta'
                },
            ],
            tabIndex: 1,
        };
    },
    components:{
        ReSidebar,
    },
    mounted() {
        
    },

    methods: {
        handleSideClick(item) {
        this.tabIndex = item.id;
        },
    },
};
</script>

<style lang="scss" scoped>
.active{
    background-color: white;
    
}
.cont{
    width: 100%;
    height: 100%;
    display: flex;
    .c-left{
        width: 12%;
        height: 100%;
    }
    .c-right{
        width: 88%;
        height: 100%;
        img {
            margin-top: 60px;
            width: 100%;
            // height: 100%;
        }
    }
}
</style>